tempest-slow-py3 job uses python 2.7 on subnodes

Bug #1853004 reported by Slawek Kaplonski on 2019-11-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tempest
High
Slawek Kaplonski

Bug Description

As can be seen e.g. in log like https://zuul.opendev.org/t/openstack/build/b6b223646ee74918afd5d93f9aee74ba/log/compute1/logs/screen-q-agt.txt.gz on compute node in tempest-slow-py3 job python 2.7 is still used.

Fix proposed to branch: master
Review: https://review.opendev.org/694768

Changed in tempest:
assignee: nobody → Slawek Kaplonski (slaweq)
status: New → In Progress
Ghanshyam Mann (ghanshyammann) wrote :

thanks for catching this.

Changed in tempest:
importance: Undecided → High

Reviewed: https://review.opendev.org/694768
Committed: https://git.openstack.org/cgit/openstack/tempest/commit/?id=c0a4346a4d17cc681f20ca1aa192e691c45587a2
Submitter: Zuul
Branch: master

commit c0a4346a4d17cc681f20ca1aa192e691c45587a2
Author: Slawek Kaplonski <email address hidden>
Date: Mon Nov 18 14:34:13 2019 +0100

    Use python 3 on all nodes in multinode jobs

    This fixes used python version on subnodes in jobs like
    tempest-slow-py3 and tempest-multinode-full-py3

    Change-Id: I851d2dbcb863f0e21e6cbcbb6b856ce1f3d3f092
    Closes-Bug: #1853004

Changed in tempest:
status: In Progress → Fix Released

This issue was fixed in the openstack/tempest 23.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers